@charset "UTF-8";
/* CSS Document */
/* -------------------------------------------------

nav

------------------------------------------------- */
/* アニメーション */
.burger-nav {
  animation-name: anime-burger;
  animation-duration: 0.5s;
  animation-timing-function: ease;
}

@keyframes anime-burger {
  0% {
    transform: translateX(300px);
  }
  100% {
    transform: translateX(0);
  }
}
/* メディアクエリ */
/* burger */
.burger-nav {
  /*display: flex;*/
  /*justify-content: space-between;*/
  float: right;
}
@media (max-width: 768px) {
  .burger-nav {
    display: block;
    color: #FFF;
    position: fixed;
    right: 0;
    top: 0;
    display: none;
    z-index: 10;
    background-color: rgba(0, 0, 0, 0.8);
    width: 300px;
    height: 100%;
    float: none;
  }
  .burger-nav.open {
    display: block;
  }
  .burger-nav.close {
    display: none;
  }
}
.burger-nav a {
  padding: 20px 0 0 40px;
  color: #333;
  text-decoration: none;
  float: left;
}
@media (max-width: 768px) {
  .burger-nav a {
    display: block;
    color: #FFF;
    padding: 20px 0 20px 20px;
    border-top: 1px solid #181818;
    border-bottom: 1px solid #464646;
    background: #000;
    float: none;
  }
}
.burger-nav a:hover {
  color: #AAA;
}

@media (max-width: 768px) {
  .burger-icon {
    display: block;
    width: 30px;
    height: 18px;
    cursor: pointer;
    position: absolute;
    top: 22px;
    right: 20px;
    z-index: 20;
  }
  .burger-icon span {
    position: absolute;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #333;
    border-radius: 4px;
    transition: all 0.4s;
  }
  .burger-icon span:nth-of-type(1) {
    top: 0;
  }
  .burger-icon span:nth-of-type(2) {
    top: 8px;
  }
  .burger-icon span:nth-of-type(3) {
    bottom: 0;
  }
  .burger-icon.is-burger-nav-open span {
    background-color: #FFF;
  }
  .burger-icon.is-burger-nav-open span:nth-of-type(1) {
    transform: translateY(8px) rotate(-45deg);
  }
  .burger-icon.is-burger-nav-open span:nth-of-type(2) {
    opacity: 0;
  }
  .burger-icon.is-burger-nav-open span:nth-of-type(3) {
    transform: translateY(-8px) rotate(45deg);
  }
}
